Beta

Claim Valuation

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/valuations/{valuation_id}/claim

Attaches a guest valuation to one Business in the selected Workspace using the claim token returned by the original valuation. The token is accepted as input and is never returned again.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

valuation_id*string

Valuation to attach.

Match^val_[0-9a-f]{32}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json
  1. body
business_id*SmbV0OperationsGetBusinessComparablesRequestBusinessId

Stable SMB Business ID.

Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$
claim_token*string

Guest claim token returned with the public valuation.

Match^vclaim_[0-9a-f]{64}$

Response Body

Successful authorized response.

application/json
  1. response
valuation_id*string

Attached valuation.

Match^val_[0-9a-f]{32}$
business_id*SmbV0OperationsGetBusinessComparablesRequestBusinessId

Stable SMB Business ID.

Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$
workspace_id*smb_v0_operations_get_workspace_request.__local.Uuid
Formatuuid
attached*smb_v0_operations_create_list_request.__local.properties.body.__schema16
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
request_id*string
receipt*
curl -X POST 'https://example.com/v1/valuations/string/claim' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: stringst' \  -H 'Content-Type: application/json' \  -d '{  "business_id": "string",  "claim_token": "string"}'
{  "valuation_id": "string",  "business_id": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",  "attached": true,  "idempotent_replay": true,  "request_id": "string",  "receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }}